## kdenlive 23.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")

set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Kdenlive VERSION ${KDENLIVE_VERSION})

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if(POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

include(FeatureSummary)
include(GenerateExportHeader)

# Register CMake options
option(RELEASE_BUILD "Remove Git revision from program version" ON) # To be switched on when releasing.
option(BUILD_TESTING "Build tests" ON)
option(CRASH_AUTO_TEST "Auto-generate testcases upon some crashes (uses RTTR library, needed for fuzzing)" OFF)
option(BUILD_FUZZING "Build fuzzing target" OFF)
option(NODBUS "Build without DBus IPC" OFF)
option(USE_VERSIONLESS_TARGETS "Use versionless targets" OFF)
option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" OFF)

# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 7)
set(MLT_MIN_MINOR_VERSION 14)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

# KDE Frameworks
set(KF_DEP_VERSION "5.92.0")
find_package(ECM ${KF_DEP_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

## include ECM Modules
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
include(ECMAddQch)
include(QtVersionOption)
include(ECMDeprecationSettings)
remove_definitions(-DQT_NO_CAST_FROM_ASCII) # Defined in KDECompilerSettings, but we don't want that yet

add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
find_package(KF5 ${KF_DEP_VERSION}
    REQUIRED COMPONENTS
    Archive
    Bookmarks
    Codecs
    CoreAddons
    Config
    ConfigWidgets
    KIO
    WidgetsAddons
    NotifyConfig
    NewStuff
    XmlGui
    Notifications
    GuiAddons
    TextWidgets
    IconThemes
    Declarative
    Solid
    FileMetaData

    OPTIONAL_COMPONENTS
    DocTools
    Crash
    Purpose
)

# Qt
set(QT_MIN_VERSION 5.15.2)
if (NOT DEFINED QT_MAJOR_VERSION)
    set(QT_MAJOR_VERSION 5)
endif()

if (QT_MAJOR_VERSION STREQUAL "6")
    set(USE_VERSIONLESS_TARGETS ON)
endif()

ecm_set_disabled_deprecation_versions(
    QT ${QT_MIN_VERSION}
    KF ${KF_DEP_VERSION}
)

find_package(Qt${QT_MAJOR_VERSION}
    REQUIRED COMPONENTS
    Core Widgets
    Svg
    Quick
    QuickControls2
    Concurrent
    QuickWidgets
    Multimedia
    NetworkAuth
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
endif()
if(NOT NODBUS)
    find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS DBus)
endif()
add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt${QT_MAJOR_VERSION}Widgets_EXECUTABLE_COMPILE_FLAGS}")

# MLT
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES DESCRIPTION "Multimedia framework"
                URL "https://mltframework.org"
                PURPOSE "Required to do video processing")
message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

# Windows
include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
if(WIN32)
    find_package(DrMinGW)
    set(MLT_PREFIX "..")
else()
    set(MLT_PREFIX ${MLT_ROOT_DIR})
endif()

# macOS
if(APPLE)
    set(DATA_INSTALL_PREFIX "")
else()
    set(DATA_INSTALL_PREFIX "/kdenlive")
endif()

if(KF5Purpose_FOUND)
  message(STATUS "Found KF5 Purpose, filesharing enabled")
  set(KF5_PURPOSE TRUE)
else()
  message(STATUS "KF5 Purpose not found, filesharing disabled")
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE} ${CMAKE_SOURCE_DIR}
	  ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

if(CRASH_AUTO_TEST)
  if(BUILD_DESIGNERPLUGIN)
    message(SEND_ERROR "The options CRASH_AUTO_TEST and BUILD_DESIGNERPLUGIN do not work together, disable one of both.")
  endif()
  find_package(RTTR 0.9.6 QUIET)
  if(NOT RTTR_FOUND)
    message(STATUS "RTTR not found on system, will download source and build it")
    include(rttr.CMakeLists.txt)
  endif()
  if(BUILD_FUZZING)
    set(ECM_ENABLE_SANITIZERS fuzzer;address)
  endif()
endif()

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)

# Sources
add_subdirectory(src)
add_subdirectory(renderer)
if(KF5GuiAddons_VERSION VERSION_LESS "5.100")
  add_subdirectory(thumbnailer-deprecated)
else()
  add_subdirectory(thumbnailer)
endif()
add_subdirectory(data)

# Install
ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Kdenlive_QCH
        FILE KdenliveQCHTargets.cmake
        DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/cmake/kdenlive"
        COMPONENT Devel
    )
endif()

include(GNUInstallDirs)
install(FILES AUTHORS README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(DIRECTORY LICENSES DESTINATION ${CMAKE_INSTALL_DOCDIR})

ecm_qt_install_logging_categories(
    EXPORT KDENLIVE
    FILE kdenlive.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

# Tests
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    add_subdirectory(fuzzer)
elseif(BUILD_FUZZING)
    message(STATUS "Fuzzing build was requested but not enabled because compiler is ${CMAKE_CXX_COMPILER_ID} and not Clang")
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# pre-commit hook
include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== tests/CMakeLists.txt ===
include_directories(${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR} ..)
set(TEST_SOURCES ${CMAKE_CURRENT_SOURCE_DIR})
configure_file(tests_definitions.h.in tests_definitions.h)
kde_enable_exceptions()

set(KdenliveTest_SOURCES
    cachetest.cpp
    colorscopestest.cpp
    compositiontest.cpp
    effectstest.cpp
    filetest.cpp
    groupstest.cpp
    keyframetest.cpp
    markertest.cpp
    mixtest.cpp
    modeltest.cpp
    movetest.cpp
    nestingtest.cpp
    regressions.cpp
    rendermodeltest.cpp
    snaptest.cpp
    spacertest.cpp
    subtitlestest.cpp
    sysinfotest.cpp
    timelinepreviewtest.cpp
    timewarptest.cpp
    titlertest.cpp
    treetest.cpp
    trimmingtest.cpp
)

include(ECMAddTests)

foreach(_source ${KdenliveTest_SOURCES})
  get_filename_component(_targetname ${_source} NAME_WE)
  ecm_add_test(
      TestMain.cpp
      test_utils.cpp
      abortutil.cpp
      ${_source}
      TEST_NAME ${_targetname}
      LINK_LIBRARIES kdenliveLib
  )
  set_property(TARGET ${_targetname} PROPERTY CXX_STANDARD 14)
endforeach()

=== debian/changelog ===
kdenlive (23.04.2-1) unstable; urgency=medium

  * New upstream release.
    - Bump minimum mlt build dependency to 7.14.0.
    - Adjust installed files.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Jul 2023 16:31:17 +0200

## kdenlive 23.04.3

=== debian/changelog ===
kdenlive (23.04.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Jul 2023 18:51:39 +0200

## kdenlive 23.08.0

=== data/man/CMakeLists.txt ===
install(FILES kdenlive.1 kdenlive_render.1 DESTINATION ${KDE_INSTALL_MANDIR}/man1 )

=== data/profiles/CMakeLists.txt ===
INSTALL (FILES
dci_2160p_2398
dci_2160p_24
dci_2160p_25
dci_2160p_2997
dci_2160p_30
dci_2160p_50
dci_2160p_5994
dci_2160p_60
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/profiles)

=== data/effects/frei0r/CMakeLists.txt ===
INSTALL (FILES 

frei0r_alpha0ps.xml
frei0r_alphagrad.xml
frei0r_alphaspot.xml
frei0r_B.xml
frei0r_balanc0r.xml
frei0r_baltan.xml
frei0r_bezier_curves.xml
frei0r_bgsubtract0r.xml
frei0r_bigsh0t_eq_mask.xml
frei0r_bigsh0t_eq_to_rect.xml
frei0r_bigsh0t_eq_to_stereo.xml
frei0r_bigsh0t_hemi_to_eq.xml
frei0r_bigsh0t_rect_to_eq.xml
frei0r_bigsh0t_stabilize_360.xml
frei0r_bigsh0t_transform_360.xml
frei0r_brightness.xml
frei0r_c0rners.xml
frei0r_cairogradient.xml
frei0r_cairoimagegrid.xml
frei0r_cartoon.xml
frei0r_cluster.xml
frei0r_colgate.xml
frei0r_coloradj_rgb.xml
frei0r_colordistance.xml
frei0r_colorize.xml
frei0r_colortap.xml
frei0r_contrast0r.xml
frei0r_curves.xml
frei0r_d90stairsteppingfix.xml
frei0r_defish0r.xml
frei0r_delay0r.xml
frei0r_delaygrab.xml
frei0r_distort0r.xml
frei0r_dither.xml
frei0r_edgeglow.xml
frei0r_emboss.xml
frei0r_equaliz0r.xml
frei0r_facebl0r.xml
frei0r_facedetect.xml
frei0r_flippo.xml
frei0r_G.xml
frei0r_glitch0r.xml
frei0r_glow.xml
frei0r_hqdn3d.xml
frei0r_hueshift0r.xml
frei0r_iirblur.xml
frei0r_keyspillm0pup.xml
frei0r_lenscorrection.xml
frei0r_letterb0xed.xml
frei0r_levels.xml
frei0r_lightgraffiti.xml
frei0r_luminance.xml
frei0r_mask0mate.xml
frei0r_medians.xml
frei0r_nervous.xml
frei0r_nosync0r.xml
frei0r_pixeliz0r.xml
frei0r_pr0be.xml
frei0r_pr0file.xml
frei0r_primaries.xml
frei0r_R.xml
frei0r_rgbnoise.xml
frei0r_rgbparade.xml
frei0r_rgbsplit0r.xml
frei0r_saturat0r.xml
frei0r_scale0tilt.xml
frei0r_scanline0r.xml
frei0r_select0r.xml
frei0r_sharpness.xml
frei0r_sigmoidaltransfer.xml
frei0r_sobel.xml
frei0r_softglow.xml
frei0r_sopsat.xml
frei0r_squareblur.xml
frei0r_tehroxx0r.xml
frei0r_three_point_balance.xml
frei0r_threelay0r.xml
frei0r_threshold0r.xml
frei0r_timeout.xml
frei0r_tint0r.xml
frei0r_transparency.xml
frei0r_twolay0r.xml
frei0r_vectorscope.xml
frei0r_vertigo.xml
frei0r_vignette.xml
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)

=== debian/changelog ===
kdenlive (23.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 24 Aug 2023 12:28:22 +0200

## kdenlive 23.08.0-0~ubuntu22.04.1+11.0trisquel2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -40,8 +40,27 @@
 set(MLT_MIN_PATCH_VERSION 0)
 set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})
 
+# Qt version
+set(QT_MIN_VERSION 5.15.2)
+if (NOT DEFINED QT_MAJOR_VERSION)
+    set(QT_MAJOR_VERSION 5)
+endif()
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(USE_VERSIONLESS_TARGETS ON)
+endif()
+
 # KDE Frameworks
-set(KF_DEP_VERSION "5.92.0")
+if (NOT DEFINED KF_MAJOR)
+  set(KF_MAJOR ${QT_MAJOR_VERSION})
+endif()
+
+if (KF_MAJOR LESS "6")
+  set(KF_DEP_VERSION "5.92.0")
+else()
+  set(KF_DEP_VERSION "5.240.0")
+endif()
+
 find_package(ECM ${KF_DEP_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
 
@@ -61,7 +80,7 @@
 remove_definitions(-DQT_NO_CAST_FROM_ASCII) # Defined in KDECompilerSettings, but we don't want that yet
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
-find_package(KF5 ${KF_DEP_VERSION}
+find_package(KF${KF_MAJOR} ${KF_DEP_VERSION}
     REQUIRED COMPONENTS
     Archive
     Bookmarks
@@ -78,24 +97,20 @@
     GuiAddons
     TextWidgets
     IconThemes
-    Declarative
     Solid
     FileMetaData
+    Purpose
 
     OPTIONAL_COMPONENTS
     DocTools
     Crash
-    Purpose
-)
-
-# Qt
-set(QT_MIN_VERSION 5.15.2)
-if (NOT DEFINED QT_MAJOR_VERSION)
-    set(QT_MAJOR_VERSION 5)
-endif()
-
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(USE_VERSIONLESS_TARGETS ON)
+)
+
+if (KF_MAJOR LESS "6")
+  find_package(KF${KF_MAJOR} ${KF_DEP_VERSION}
+      REQUIRED COMPONENTS
+      Declarative
+  )
 endif()
 
 ecm_set_disabled_deprecation_versions(
@@ -103,6 +118,7 @@
     KF ${KF_DEP_VERSION}
 )
 
+# Qt targets
 find_package(Qt${QT_MAJOR_VERSION}
     REQUIRED COMPONENTS
     Core Widgets
@@ -118,7 +134,7 @@
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
 endif()
 if(NOT NODBUS)
-    find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
+    find_package(KF${KF_MAJOR} ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
     find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS DBus)
 endif()
 add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
@@ -149,14 +165,7 @@
     set(DATA_INSTALL_PREFIX "/kdenlive")
 endif()
 
-if(KF5Purpose_FOUND)
-  message(STATUS "Found KF5 Purpose, filesharing enabled")
-  set(KF5_PURPOSE TRUE)
-else()
-  message(STATUS "KF5 Purpose not found, filesharing disabled")
-endif()
-
-if(KF5DocTools_FOUND)
+if(KF${KF_MAJOR}DocTools_FOUND)
     add_subdirectory(doc)
     kdoctools_install(po)
 endif()
@@ -198,7 +207,7 @@
 # Sources
 add_subdirectory(src)
 add_subdirectory(renderer)
-if(KF5GuiAddons_VERSION VERSION_LESS "5.100")
+if(KF${KF_MAJOR}GuiAddons_VERSION VERSION_LESS "6.0")
   add_subdirectory(thumbnailer-deprecated)
 else()
   add_subdirectory(thumbnailer)

=== debian/changelog ===
kdenlive (4:23.08.0-0~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Sep 2023 22:46:56 +0000

kdenlive (4:23.08.0-0~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Fri, 08 Sep 2023 18:21:47 +0000

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.16~),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.92~),
               ffmpeg,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5filemetadata-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5purpose-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmlt++-dev (>= 7.14.0),
               libmlt-dev (>= 7.14.0),
               libqt5networkauth5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qttools5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze,
         breeze-icon-theme,
         ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-org-kde-kcm,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: frei0r-plugins,
            swh-plugins,
Suggests: vlc
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 23.08.1

=== debian/changelog ===
kdenlive (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:06 +0100

kdenlive (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:00 +0100

kdenlive (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:52 +0100

kdenlive (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:32 +0100

kdenlive (4:23.04.2-0ubuntu2) mantic; urgency=medium

  * Bump minimum mlt build dependency to 7.14.0

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jun 2023 17:15:37 +0100

kdenlive (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refresh 01-desktop-keywords.diff
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:07 +0100

kdenlive (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:00 +0000

kdenlive (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:07 -0600

kdenlive (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Update install files. Designer widget no longer built by default.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:57 +0000

kdenlive (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:08:07 +0000

kdenlive (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:26 +0000

kdenlive (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Refresh 01-desktop-keywords.diff
  * Update build-deps and deps with the info from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:50 +0000

kdenlive (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:58 +0000

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.92.0~),
               libkf5bookmarks-dev (>= 5.92.0~),
               libkf5codecs-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5configwidgets-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5crash-dev (>= 5.92.0~),
               libkf5dbusaddons-dev (>= 5.92.0~),
               libkf5declarative-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5filemetadata-dev (>= 5.92.0~),
               libkf5guiaddons-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5newstuff-dev (>= 5.92.0~),
               libkf5notifications-dev (>= 5.92.0~),
               libkf5notifyconfig-dev (>= 5.92.0~),
               libkf5plotting-dev,
               libkf5purpose-dev (>= 5.92.0~),
               libkf5solid-dev (>= 5.92.0~),
               libkf5textwidgets-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libmlt++-dev (>= 7.14.0~),
               libmlt-dev (>= 7.14.0~),
               libqt5networkauth5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               shared-mime-info,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze,
         breeze-icon-theme (>= 4:5.83.0),
         ffmpeg,
         gstreamer1.0-plugins-bad,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: frei0r-plugins, mediainfo, swh-plugins
Suggests: khelpcenter, vlc | xine-ui
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 23.08.2

=== debian/changelog ===
kdenlive (23.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove kxmlgui5 folder.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Oct 2023 09:28:38 +0200

## kdenlive 23.08.3

=== debian/changelog ===
kdenlive (23.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Nov 2023 13:56:43 +0100

## kdenlive 23.08.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "4")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -207,7 +207,7 @@
 # Sources
 add_subdirectory(src)
 add_subdirectory(renderer)
-if(KF${KF_MAJOR}GuiAddons_VERSION VERSION_LESS "6.0")
+if(KF${KF_MAJOR}GuiAddons_VERSION VERSION_LESS "5.100")
   add_subdirectory(thumbnailer-deprecated)
 else()
   add_subdirectory(thumbnailer)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kdenlive)

=== debian/changelog ===
kdenlive (23.08.4-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 21.08.1-1+rpi1 by root <Peter Michael Green <plugwash@raspbian.org> at Sun, 12 Sep 2021 21:45:33 +0000]
  * Remove armhf from architecture list of qtwebengine build-dependency.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 20 Dec 2023 09:55:24 +0000

kdenlive (23.08.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Dec 2023 10:50:43 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 pkg-config,
 cmake,
 appstream,
 pkg-kde-tools,
 libmlt-dev (>= 7.14.0),
 libmlt++-dev (>= 7.14.0),
 ffmpeg,
 libqt5opengl5-dev,
 libqt5networkauth5-dev,
 extra-cmake-modules (>= 5.59~),
 qtscript5-dev,
 qtmultimedia5-dev,
 qtquickcontrols2-5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5doctools-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5purpose-dev,
 libkf5declarative-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 qttools5-dev,
 qtwebengine5-dev [amd64 i386 arm64 mipsel],
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 qml-module-qtgraphicaleffects,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-window2,
 qml-module-org-kde-kcm,
 qml-module-org-kde-newstuff,
 breeze,
 breeze-icon-theme (>= 4:5.83.0),
 kinit,
 kded5,
 kio,
 melt,
 gstreamer1.0-plugins-bad,
 ffmpeg
Recommends: swh-plugins,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter,
 vlc | xine-ui
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "4")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,11 @@
     cachetest.cpp
     colorscopestest.cpp
     compositiontest.cpp
+    documenttest.cpp
     effectstest.cpp
     filetest.cpp
     groupstest.cpp
+    hidetest.cpp
     keyframetest.cpp
     markertest.cpp
     mixtest.cpp
@@ -27,6 +29,7 @@
     titlertest.cpp
     treetest.cpp
     trimmingtest.cpp
+    utilstest.cpp
 )
 
 include(ECMAddTests)

=== thumbnailer-deprecated/CMakeLists.txt ===
set(mltpreview_SRCS mltpreview.cpp ../src/lib/localeHandling.cpp)

include_directories(
  ${MLT_INCLUDE_DIR}
  ${MLTPP_INCLUDE_DIR}
)

add_library(mltpreview MODULE ${mltpreview_SRCS})


target_link_libraries(mltpreview
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Gui
        KF5::KIOCore
        KF5::KIOWidgets
  ${MLT_LIBRARIES}
  ${MLTPP_LIBRARIES}
)
#FIXME: For some reason the plugin only seems to work if installed in $lib/qt5/plugins and not in $lib/plugins like KF5 recommends
install(TARGETS mltpreview DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES mltpreview.desktop DESTINATION ${KDE_INSTALL_KSERVICESDIR})

=== thumbnailer/CMakeLists.txt ===
kcoreaddons_add_plugin(mltpreview INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/thumbcreator")

target_sources(mltpreview PRIVATE mltpreview.cpp ../src/lib/localeHandling.cpp)

target_include_directories(mltpreview PRIVATE
  ${MLT_INCLUDE_DIR}
  ${MLTPP_INCLUDE_DIR}
)

target_link_libraries(mltpreview
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Gui
        KF${KF_MAJOR}::KIOCore
        KF${KF_MAJOR}::KIOGui
        ${MLT_LIBRARIES}
        ${MLTPP_LIBRARIES}
)

=== data/effects/CMakeLists.txt ===
INSTALL (FILES 

audiobalance.xml
audiolevelgraph.xml
audiomap.xml
audiopan.xml
audiospectrum.xml
audiowave.xml
audiowaveform.xml
boxblur.xml
box_blur.xml
brightness.xml
channelcopy.xml
copychannelstostereo.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dance.xml
dust.xml
dynamic_loudness.xml
dynamictext.xml
fade_from_black.xml
fade_to_black.xml
fadein.xml
fadeout.xml
freeze.xml
gain.xml
gamma.xml
gpstext.xml
grain.xml
greyscale.xml
invert.xml
lift_gamma_gain.xml
lightshow.xml
loudness.xml
luma.xml
lumaliftgaingamma.xml
mask_start.xml
mask_start_frei0r_alphaspot.xml
mask_start_frei0r_select0r.xml
mask_start_rotoscoping.xml
mask_start_shape.xml
mask_apply.xml
mirror.xml
mono.xml
mute.xml
normalise.xml
obscure.xml
oldfilm.xml
pan_zoom.xml
pillar_echo.xml
qtblend.xml
qtcrop.xml
rboctaveshift.xml
rbpitchscale.xml
rotation_keyframable.xml
rotation.xml
rotoscoping.xml
scratchlines.xml
sepia.xml
shape.xml
speed.xml
spot_remover.xml
swapchannels.xml
timer.xml
tcolor.xml
threshold.xml
tracker.xml
typewriter.xml
vidstab.xml
vignette.xml
volume.xml
wave.xml

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)

add_subdirectory(update)
add_subdirectory(avfilter)
add_subdirectory(frei0r)
add_subdirectory(ladspa)
add_subdirectory(movit)
add_subdirectory(sox)
add_subdirectory(templates)

=== data/knewstuff/CMakeLists.txt ===
install(FILES kdenlive_renderprofiles.knsrc kdenlive_wipes.knsrc kdenlive_keyboardschemes.knsrc kdenlive_titles.knsrc kdenlive_luts.knsrc kdenlive_effects.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== data/resourceproviders/CMakeLists.txt ===
INSTALL (FILES

archiveorg.json
freesound.json
pexels_photo.json
pexels_video.json
pixabay_photo.json

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/resourceproviders)

=== src/bin/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  bin/abstractprojectitem.cpp
  bin/bin.cpp
  bin/bincommands.cpp
  bin/binplaylist.cpp
  bin/clipcreator.cpp
  bin/filewatcher.cpp
  bin/mediabrowser.cpp
  bin/generators/generators.cpp
  bin/model/markerlistmodel.cpp
  bin/model/markersortmodel.cpp
  bin/model/subtitlemodel.cpp
  bin/projectclip.cpp
  bin/projectfolder.cpp
  bin/projectitemmodel.cpp
  bin/projectsortproxymodel.cpp
  bin/projectsubclip.cpp
  bin/tagwidget.cpp
  PARENT_SCOPE
)

=== src/dialogs/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  dialogs/clipcreationdialog.cpp
  dialogs/clipjobmanager.cpp
  dialogs/encodingprofilesdialog.cpp
  dialogs/kdenlivesettingsdialog.cpp
  dialogs/markerdialog.cpp
  dialogs/exportguidesdialog.cpp
  dialogs/profilesdialog.cpp
  dialogs/proxytest.cpp
  dialogs/renderwidget.cpp
  dialogs/renderpresetdialog.cpp
  dialogs/speechdialog.cpp
  dialogs/subtitleedit.cpp
  dialogs/textbasededit.cpp
  dialogs/timeremap.cpp
  dialogs/titletemplatedialog.cpp
  dialogs/wizard.cpp
  dialogs/splash.cpp
  PARENT_SCOPE)

=== src/doc/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  doc/documentchecker.cpp
  doc/documentvalidator.cpp
  doc/kdenlivedoc.cpp
  doc/kthumb.cpp
  doc/docundostack.cpp
  PARENT_SCOPE)

=== src/jobs/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  jobs/abstracttask.cpp
  jobs/taskmanager.cpp
  jobs/audiolevelstask.cpp
  jobs/cliploadtask.cpp
  jobs/proxytask.cpp
  jobs/stabilizetask.cpp
  jobs/speedtask.cpp
  jobs/transcodetask.cpp
  jobs/filtertask.cpp
  jobs/cachetask.cpp
  jobs/scenesplittask.cpp
  jobs/cuttask.cpp
  jobs/customjobtask.cpp
  PARENT_SCOPE)

=== src/profiles/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  profiles/profileinfo.cpp
  profiles/profilerepository.cpp
  profiles/profilemodel.cpp
  profiles/tree/profiletreemodel.cpp
  profiles/tree/profilefilter.cpp
  PARENT_SCOPE)

=== debian/changelog ===
kdenlive (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:41:41 +0200

kdenlive (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:46 +0000

kdenlive (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:51:08 +0000

kdenlive (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:42:43 -0700

kdenlive (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:15 +0000

kdenlive (4:23.08.3-0ubuntu2) noble; urgency=medium

  * Add missing runtime qml module depends:
    - qml-module-org-kde-kcm (LP: #2043261)
    - qml-module-org-kde-newstuff

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Nov 2023 14:25:50 +0000

kdenlive (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:46 +0000

kdenlive (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:02 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.92.0~),
               libkf5bookmarks-dev (>= 5.92.0~),
               libkf5codecs-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5configwidgets-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5crash-dev (>= 5.92.0~),
               libkf5dbusaddons-dev (>= 5.92.0~),
               libkf5declarative-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5filemetadata-dev (>= 5.92.0~),
               libkf5guiaddons-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5newstuff-dev (>= 5.92.0~),
               libkf5notifications-dev (>= 5.92.0~),
               libkf5notifyconfig-dev (>= 5.92.0~),
               libkf5plotting-dev,
               libkf5purpose-dev (>= 5.92.0~),
               libkf5solid-dev (>= 5.92.0~),
               libkf5textwidgets-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libmlt++-dev (>= 7.14.0~),
               libmlt-dev (>= 7.14.0~),
               libqt5networkauth5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               shared-mime-info,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze,
         breeze-icon-theme (>= 4:5.83.0),
         ffmpeg,
         gstreamer1.0-plugins-bad,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-org-kde-kcm,
         qml-module-org-kde-newstuff,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: frei0r-plugins, mediainfo, swh-plugins
Suggests: khelpcenter, vlc | xine-ui
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 24.02.0

=== debian/changelog ===
kdenlive (24.02.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Mar 2024 11:51:39 +0100

kdenlive (23.08.5-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Feb 2024 13:00:31 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 pkg-config,
 cmake,
 appstream,
 pkg-kde-tools,
 libmlt-dev (>= 7.14.0),
 libmlt++-dev (>= 7.14.0),
 ffmpeg,
 libqt5opengl5-dev,
 libqt5networkauth5-dev,
 extra-cmake-modules (>= 5.59~),
 qtscript5-dev,
 qtmultimedia5-dev,
 qtquickcontrols2-5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5doctools-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5purpose-dev,
 libkf5declarative-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 qttools5-dev,
 qtwebengine5-dev [amd64 i386 arm64 armhf mipsel],
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 qml-module-qtgraphicaleffects,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-window2,
 qml-module-org-kde-kcm,
 qml-module-org-kde-newstuff,
 breeze,
 breeze-icon-theme (>= 4:5.83.0),
 kinit,
 kded5,
 kio,
 melt,
 gstreamer1.0-plugins-bad,
 ffmpeg
Recommends: swh-plugins,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter,
 vlc | xine-ui
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 24.02.1

=== debian/changelog ===
kdenlive (24.02.1-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 03 Apr 2024 11:02:47 +0200

## kdenlive 24.05.0

=== debian/changelog ===
kdenlive (24.05.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 May 2024 11:56:34 +0200

kdenlive (24.02.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 Apr 2024 16:05:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: https://kdenlive.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
  pkg-config,

## kdenlive 24.05.2

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-2-Clause
+# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Julius Künzel <jk.kdedev@smartlab.uber.space>, Eric Jiang <erjiang@alumni.iu.edu>, Vincent Pinon <vincent.pinon@asygn.com>
+
 include_directories(${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR} ..)
 set(TEST_SOURCES ${CMAKE_CURRENT_SOURCE_DIR})
 configure_file(tests_definitions.h.in tests_definitions.h)
@@ -9,6 +12,7 @@
     compositiontest.cpp
     documenttest.cpp
     effectstest.cpp
+    effectsgrouptest.cpp
     filetest.cpp
     groupstest.cpp
     hidetest.cpp
@@ -20,6 +24,8 @@
     nestingtest.cpp
     regressions.cpp
     rendermodeltest.cpp
+    replacetest.cpp
+    sequencetest.cpp
     snaptest.cpp
     spacertest.cpp
     subtitlestest.cpp

=== src/utils/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Nicolas Carion <french.ebook.lover@gmail.com>, Julius Künzel <jk.kdedev@smartlab.uber.space>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  utils/clipboardproxy.cpp
  utils/colortools.cpp
  utils/devices.cpp
  utils/flowlayout.cpp
  utils/gentime.cpp
  utils/qcolorutils.cpp
  utils/sysinfo.cpp
  utils/thememanager.cpp
  utils/thumbnailcache.cpp
  utils/timecode.cpp
  utils/qstringutils.cpp
  PARENT_SCOPE
)

=== debian/changelog ===
kdenlive (24.05.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jul 2024 13:57:15 +0200
